#!/usr/bin/python3
# -*- coding: utf-8 -*-

import sys
from PyQt5 import QtGui, QtCore, QtWidgets

from ui_ticboxcloud import Ui_mainWindow
from s_changePass import SChangePass
from s_configUser import SConfigUser



class STicboxcloud(QtWidgets.QMainWindow, Ui_mainWindow):

	def __init__(self, parent = None):
		super(STicboxcloud, self).__init__(parent)
		self.setupUi(self)
		self.settings = QtCore.QSettings()
		self.signals()
		self.center()

		self.gui_config = SConfigUser(self)
		self.gui_pass = SChangePass(self)


	def signals(self):
		self.b_config.clicked.connect(self.config_user)
		self.b_passwd.clicked.connect(self.actPass)


	def config_user(self):
		if self.gui_config != None:
			self.gui_config.reset_gui()
			self.gui_config.show()


	def actPass(self):
		if self.gui_pass != None:
			self.gui_pass.reset_gui()
			self.gui_pass.show()


	def center(self):
		screen =  QtWidgets.QDesktopWidget().screenGeometry()
		size = self.geometry()
		self.move((screen.width()-size.width())/2, (screen.height()-size.height())/2)



if __name__ == '__main__':
	app = QtWidgets.QApplication(sys.argv)
	c = STicboxcloud()
	c.show()
	app.exec_()
	